Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.pki
Class KeyBundleFactorySpi

    java.lang.Object
      cryptix.pki.KeyBundleFactorySpi

public abstract class KeyBundleFactorySpi
extends java.lang.Object

Service provider interface for KeyBundleFactory

Version:
  $Revision: 1.2 $
Author:
  Edwin Woudt

Constructor Summary
`KeyBundleFactorySpi()`

Method Summary
`abstract KeyBundle` | `engineGenerateEmptyKeyBundle()` Generates a new empty KeyBundle.
`abstract KeyBundle` | `engineGenerateKeyBundle(java.io.InputStream in)` Generates a KeyBundle from an input stream.
`abstract java.util.Collection` | `engineGenerateKeyBundles(java.io.InputStream in)` Generates a (possible empty) collection of keybundles from an input stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyBundleFactorySpi

    public KeyBundleFactorySpi()

Method Detail

### engineGenerateKeyBundles

    public abstract java.util.Collection engineGenerateKeyBundles(java.io.InputStream in)
                                                           throws KeyBundleException,
                                                                  java.io.IOException

  Generates a (possible empty) collection of keybundles from an input stream.

  Note: the entire inputstream will be read when the inputstream does not support the mark() and reset() methods.

  Throws:
    `KeyBundleException` - on a variety of format specific problems.
    `java.io.IOException`

### engineGenerateKeyBundle

    public abstract KeyBundle engineGenerateKeyBundle(java.io.InputStream in)
                                               throws KeyBundleException,
                                                      java.io.IOException

  Generates a KeyBundle from an input stream.

  Note: the entire inputstream will be read when the inputstream does not support the mark() and reset() methods.

  Throws:
    `KeyBundleException` - on a variety of format specific problems.
    `java.io.IOException`

### engineGenerateEmptyKeyBundle

    public abstract KeyBundle engineGenerateEmptyKeyBundle()
                                                    throws KeyBundleException

  Generates a new empty KeyBundle.

  Throws:
    `KeyBundleException` - on a variety of format specific problems.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.